Skip to content

Searches minimal recipient names with File Protection policy-management permission.

GET
/api/workspace/file-protection/signal-recipient-options
curl --request GET \
--url 'https://example.com/api/workspace/file-protection/signal-recipient-options?Kind=0' \
--header 'Authorization: Bearer <token>'
Kind
integer format: int32
Allowed values: 0 1
Search
string
Page
integer format: int32
PageSize
integer format: int32
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Minimal catalog page; it grants no role/group administration capability.

object
Items
Array<object>
nullable

An explicit role or responsibility-group recipient selection.

object
Kind
integer format: int32
Allowed values: 0 1
Id
string
nullable
DisplayName
string
nullable
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}